-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseFinalState

Declaration :

- C++ : class UmlBaseFinalState : public UmlPseudoState
- Java : abstract class UmlBaseFinalState extends UmlPseudoState

Directly inherited by : UmlFinalState

Artifact : UmlBaseFinalState

Operation create

Declaration :

- C++ : public: static UmlFinalState * create(UmlItem * parent)
- Java : public static UmlFinalState create(UmlItem parent) throws RuntimeException

returns a new final state created under 'parent' In case it cannot be created ('parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseFinalState

Declaration :

- C++ : protected: UmlBaseFinalState(void * id, const QCString & s) : UmlPseudoState(id, s)
- Java : protected UmlBaseFinalState(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload